## gfxboot-theme-ubuntu 0.1.25

=== Makefile ===
BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )

MKBOOTMSG    = $(BINDIR)mkbootmsg
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))

DEFAULT_LANG =

PIC_COMMON   = back.jpg

FILES_CORE   = init

INST_EXT     = langlist $(TRANSLATIONS) 16x16.fnt $(PIC_COMMON)

FILES_INST   = $(FILES_CORE) $(INST_EXT)

FILES_BOOT   = $(FILES_CORE) langlist $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON)

FILES_BOOT_EN = $(FILES_CORE) en.tr 16x16.fnt $(PIC_COMMON)

ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(DEFAULT_LANG).tr
endif

.PHONY: all themes font clean po

all: themes

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config boot $(INCLUDES)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	@echo en >boot/langlist
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >boot/lang
	@echo $(DEFAULT_LANG) >>boot/langlist
endif
	@cd boot && echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message

installdir: install.config install $(INCLUDES)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@cd install && echo $(FILES_CORE) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo
	@tar -C install -czf install/bootlogo.tar.gz bootlogo $(INST_EXT)

font:
	cat po/*.po >tmp.txt
	getx11font -v -l 18 -p 2,4 \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`./keymapchars keytables.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t langlist -t langnames.inc \
	-f -gnu-unifont-medium-r-normal--16-160-75-75-c-80-iso10646-1 \
	--fsize 16,5 \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

=== debian/changelog ===
gfxboot-theme-ubuntu (0.1.25) dapper; urgency=low

  * "Install to first hard disk" -> "Install to the hard disk". Whoops.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 May 2006 14:38:02 +0100

gfxboot-theme-ubuntu (0.1.24) dapper; urgency=low

  * Restore old "Install to first hard disk" string alongside "Install in
    text mode", so that it can be used for Edubuntu and the Ubuntu server
    CDs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 May 2006 14:16:28 +0100

gfxboot-theme-ubuntu (0.1.23) dapper; urgency=low

  * Fix check for whether we're running on a live CD.
  * Drop "Motor Difficulties - pointing devices" from the accessibility
    menu, as gok doesn't work on the Dapper live CD (Henrik Nilsen Omma).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 17:08:40 +0100

gfxboot-theme-ubuntu (0.1.22) dapper; urgency=low

  * Update boot menu label text (Matt Zimmerman, Jane Silber):
    - "Start (Ubuntu|Kubuntu|Edubuntu|Xubuntu)" -> "Start or install
      (Ubuntu|Kubuntu|Edubuntu|Xubuntu)".
    - "Install to first hard disk" -> "Install in text mode".
    Although it's a bit evil, I've unfuzzied all translations, on the basis
    that the existing translations are better than no translations.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 12:40:44 +0100

gfxboot-theme-ubuntu (0.1.21) dapper; urgency=low

  * Update translations from Rosetta: Bulgarian, Bengali, Czech, German,
    Greek, Spanish, Finnish, French, Hungarian, Italian, Georgian, Kurdish,
    Norwegian Bokmål, Dutch, Polish, Portuguese, Portuguese (Brazil),
    Russian, Slovak, Slovenian, Swedish, Thai, Turkish, Ukrainian, Urdu,
    Chinese (China), Chinese (Taiwan).
  * Update font to add newly-required characters.
  * Fix accessibility and d-i mode menus to display correct text when the
    language is changed (closes: Malone #32028).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 11:01:07 +0100

gfxboot-theme-ubuntu (0.1.20) dapper; urgency=low

  * Update keymaps from console-keymaps-at 2002.12.04dbs-52.1ubuntu8, adding
    Thai.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Apr 2006 23:52:37 +0100

gfxboot-theme-ubuntu (0.1.19) dapper; urgency=low

  * Print debugging messages in white, not black (which is invisible on our
    default background).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  9 Apr 2006 22:32:32 +0100

gfxboot-theme-ubuntu (0.1.18) dapper; urgency=low

  * Fix parsing of gfxboot-foreground keyword.
  * Add translations for new xforcevesa boot options (closes: Malone
    #27020).
  * Update language names from localechooser 0.27ubuntu13, adding Thai.
  * Fix comments in .po/.pot files: maintainer comments should start with
    "#.", not "# ".
  * Update translations from Rosetta: Breton, German, Greek, Spanish,
    Finnish, French, Galician, Hungarian, Italian, Lithuanian, Norwegian
    Bokmål, Polish, Portuguese, Portuguese (Brazil), Romanian, Russian,
    Slovak, Swedish, Chinese (China), Chinese (Taiwan).
  * Update font to add newly-required characters.
  * Fix memory handling in isolinux.cfg parser: take copies of all labels,
    and free a pointer to the start of the file, not the end (closes: Malone
    #34592).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  7 Apr 2006 18:02:33 +0100

gfxboot-theme-ubuntu (0.1.17) dapper; urgency=low

  * Update Portuguese translation (thanks, Rui Azevedo).
  * Interpret gfxboot-foreground and gfxboot-background keywords in the
    isolinux configuration file, using them to control the menu item colours
    (closes: Malone #31847).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  6 Mar 2006 13:36:13 +0000

gfxboot-theme-ubuntu (0.1.16) dapper; urgency=low

  * Add localisation for the boot menu items currently added by the Ubuntu
    debian-cd branch.
  * Handle ^ in boot menu item labels a bit later to accommodate
    localisation.
  * Update Portuguese translation (thanks, Rui Azevedo).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Feb 2006 08:34:17 +0000

gfxboot-theme-ubuntu (0.1.15) dapper; urgency=low

  * Replace "Severe Motor Difficulties" with "Motor Difficulties" to avoid
    causing offence.
  * Drop "Motor Difficulties - switch devices" and "Everything" from the
    accessibility menu, at least for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Feb 2006 23:33:42 +0000

gfxboot-theme-ubuntu (0.1.14) dapper; urgency=low

  * Add the keymap menu to the short panel too, and move it to F3 next to
    language.
  * Update locale-to-keymap mappings from console-keymaps-at
    2002.12.04dbs-52.1ubuntu3.
  * Don't map keys that are special when unshifted; this caused problems for
    the French keymap, and made it difficult in general to get out of a
    keymap you selected by accident (closes: Malone #31767).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Feb 2006 10:40:36 +0000

gfxboot-theme-ubuntu (0.1.13) dapper; urgency=low

  * pa is Punjabi (Gurmukhi), not Persian.
  * Update language names from localechooser 0.27ubuntu4, adding Kazakh.
  * Fix encoding of Galician translation.
  * Update font to add characters necessary for Kazakh ("Қазақ").
  * Pass debian-installer/locale=pt_PT rather than just pt for Portuguese,
    allowing localechooser to do a better job of handling the preseeding
    (part of Malone #31477).
  * Teach setkeymap to try looking for a keymap based just on the language
    code in case it can't find it based on ll_CC.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Feb 2006 13:39:41 +0000

gfxboot-theme-ubuntu (0.1.12) dapper; urgency=low

  * Switch selected and deselected colours in boot option menu, since blue
    is a better deselected/background colour (thanks, Paul Sladen).
  * Enlarge help window.
  * Adjust help keybindings to make more sense with our help screens.
  * Open the first help page if the context doesn't match anything.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Feb 2006 16:50:48 +0000

gfxboot-theme-ubuntu (0.1.11) dapper; urgency=low



=== debian/control ===
Source: gfxboot-theme-ubuntu
Section: utils
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: debhelper (>= 4), gfxboot
Standards-Version: 3.6.2

Package: gfxboot-theme-ubuntu
Architecture: amd64 i386
Depends: gfxboot
Description: Ubuntu theme for gfxboot-compliant boot loaders
 This is an Ubuntu theme for the gfxboot graphical boot loader extension. It
 should be suitable for Ubuntu derivatives as well as Ubuntu itself.
 .
 This theme does not include any help texts or logos itself. Those should be
 provided by other packages, and may be specific to Ubuntu derivatives.

=== debian/rules ===
#! /usr/bin/make -f

tmp := $(CURDIR)/debian/gfxboot-theme-ubuntu
themedir := $(tmp)/usr/share/gfxboot/themes/Ubuntu

build:
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m644 Makefile langlist *.config *.fnt *.inc *.jpg \
		$(themedir)
	install -m755 keymapchars $(themedir)
	install -m644 install/bootlogo.tar.gz $(themedir)

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep

.PHONY: build clean install binary-arch binary-indep binary

## gfxboot-theme-ubuntu 0.1.27

=== debian/changelog ===
gfxboot-theme-ubuntu (0.1.27) dapper-updates; urgency=low

  * Add/update translations from Rosetta: Afrikaans, Arabic, Belarusian,
    Bengali, Catalan, Kashubian, Danish, Esperanto, Spanish, Estonian,
    Basque, Persian, Filipino, Galician, Hindi, Croatian, Hungarian,
    Indonesian, Icelandic, Italian, Japanese, Kannada, Korean, Kurdish,
    Lithuanian, Latvian, Mongolian, Malay, Low German, Occitan, Polish,
    Portuguese, Romanian, Russian, Slovak, Slovenian, Somali, Swedish,
    Tamil, Thai, Urdu, Chinese (Taiwan).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  5 Aug 2006 11:24:27 +0100

gfxboot-theme-ubuntu (0.1.26) dapper-updates; urgency=low

  * Rename identifier for "Install in text mode" from txt_menuitem_install
    to txt_menuitem_install_text, to avoid clashing with "Install to the
    hard disk" (closes: Malone #47615).
  * Make "lang" file work with locales that require _CC (pt_BR, zh_CN,
    zh_TW).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jul 2006 14:33:15 +0100

## gfxboot-theme-ubuntu 0.2.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,16 @@
-BINDIR      := $(shell [ -x ../../mkbootmsg ] && echo ../../ )
+ifneq ($(BINDIR),)
+BINDIR      := $(BINDIR)/
+else
+BINDIR      := $(dir $(firstword $(wildcard /usr/bin/mkbootmsg) $(wildcard ../../mkbootmsg)))
+endif
+ifneq ($(PRIVBINDIR),)
+PRIVBINDIR  := $(PRIVBINDIR)/
+else
+PRIVBINDIR  := $(dir $(firstword $(wildcard /usr/share/gfxboot/bin/keymapchars) $(wildcard ../../keymapchars)))
+endif
 
 MKBOOTMSG    = $(BINDIR)mkbootmsg
+KEYMAPCHARS  = $(PRIVBINDIR)keymapchars
 BFLAGS       = -O -v -L ../..
 INCLUDES     = $(wildcard *.inc)
 TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))
@@ -63,7 +73,7 @@
 	cat po/*.po >tmp.txt
 	getx11font -v -l 18 -p 2,4 \
 	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
-	`./keymapchars keytables.inc` \
+	`$(KEYMAPCHARS) keytables.inc` \
 	-t tmp.txt \
 	-t install/log -t boot/log \
 	-t langlist -t langnames.inc \

=== debian/changelog ===
gfxboot-theme-ubuntu (0.2.10) edgy; urgency=low

  * When selecting a keymap from the F3 menu, set config.keymap directly
    rather than indirecting via a locale. The old code crashed when
    selecting a keymap without an associated locale.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Oct 2006 09:53:14 +0100

gfxboot-theme-ubuntu (0.2.9) edgy; urgency=low

  * Preseed console-setup/modelcode to abnt2 for Brazilian (Malone #66774)
    and to jp106 for Japanese (Malone #66719). Adjust our own keymaps in
    line with this.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 20:12:40 +0100

gfxboot-theme-ubuntu (0.2.8) edgy; urgency=low

  * Add/update translations from Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 21:46:59 +0100

gfxboot-theme-ubuntu (0.2.7) edgy; urgency=low

  * Exclude fuzzy translations from .po files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Oct 2006 18:05:51 +0100

gfxboot-theme-ubuntu (0.2.6) edgy; urgency=low

  * Always map the PC105 less than / greater than key, since the BIOS keymap
    doesn't always appear to be what we'd expect (closes: Malone #43956).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 10:38:46 +0100

gfxboot-theme-ubuntu (0.2.5) edgy; urgency=low

  * Update font from unifont 1:1.0-3ubuntu1, improving Georgian glyphs
    (closes: Malone #62849).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Oct 2006 10:55:50 +0100

gfxboot-theme-ubuntu (0.2.4) edgy; urgency=low

  * Rename "Install a server" to "Install a command-line system" (see Malone
    #40322).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 Sep 2006 01:08:42 +0100

gfxboot-theme-ubuntu (0.2.3) edgy; urgency=low

  * Preseed better country defaults, grabbed from localechooser 1.20ubuntu6
    (closes: Malone #30960).
  * Convert keymap handling and preseeding to console-setup; keyboard names
    grabbed from console-setup 1.7ubuntu11 (closes: Malone #61573).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 16:01:28 +0100

gfxboot-theme-ubuntu (0.2.2) edgy; urgency=low

  * If available, play startup.mod sound on startup and accessv1.mod (etc.)
    when selecting accessibility menu items. However, this isn't working
    well in tests, so I've left it disabled by not shipping any .mod files.
    Anyone who would like to try to take this from here and figure out
    what's wrong would be welcome.
  * Improve keyboard navigation in accessibility menu: 0 selects None, and
    1, 2, etc. select other menu items in order (closes: Malone #39303).
  * Rename accessibility menu options to describe technology rather than use
    case, per Henrik (closes: Malone #58836).
  * Interpret gfxboot-access-options keyword in isolinux.cfg; for example,
    "v1 v2 m1" enables only the high contrast, magnifier, and keyboard
    modifiers options.
  * Re-enable access=m2 option (now "On-Screen Keyboard") by default.

  * Add/update translations from Rosetta: Afrikaans, Arabic, Belarusian,
    Bengali, Catalan, Kashubian, Danish, Esperanto, Spanish, Estonian,
    Basque, Persian, Filipino, Galician, Hindi, Croatian, Hungarian,
    Indonesian, Icelandic, Italian, Japanese, Kannada, Korean, Kurdish,
    Lithuanian, Latvian, Mongolian, Malay, Low German, Occitan, Polish,
    Portuguese, Romanian, Russian, Slovak, Slovenian, Somali, Swedish,
    Tamil, Thai, Urdu, Chinese (Taiwan).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Sep 2006 13:51:36 +0100

gfxboot-theme-ubuntu (0.2.1) edgy; urgency=low

  * Make "lang" file work with locales that require _CC (pt_BR, zh_CN,
    zh_TW).
  * Use the new "locale" alias for debian-installer/locale.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Jul 2006 09:39:09 +0100

gfxboot-theme-ubuntu (0.2.0) edgy; urgency=low

  * Use keymapchars from gfxboot (>= 3.2.23-1) rather than our own.
  * Rename identifier for "Install in text mode" from txt_menuitem_install
    to txt_menuitem_install_text, to avoid clashing with "Install to the
    hard disk" (closes: Malone #47615).
  * Move theme to /usr/share/gfxboot-theme-ubuntu, in line with other
    gfxboot-theme-* packages.
  * Use dh_install.
  * Update scrape-localechooser for new languagelist format.
  * Update language names from localechooser 1.20ubuntu1, adding Dzongkha,
    Irish, Georgian, Khmer, Nepali, and Tamil.
  * Update keymaps from console-keymaps-at 20060609ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Jul 2006 13:52:21 +0100

## gfxboot-theme-ubuntu 0.3.7

=== debian/changelog ===
gfxboot-theme-ubuntu (0.3.7) feisty; urgency=low

  * Reduce length of Congo and Korea keymap names, fixing F3 menu display
    (LP: #105529).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2007 13:55:55 +0100

gfxboot-theme-ubuntu (0.3.6) feisty; urgency=low

  * Add localisation for "Install a ser^ver" and "Install an ^LTSP server".

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 18:37:04 +0100

gfxboot-theme-ubuntu (0.3.5) feisty; urgency=low

  * Change "Install in ^OEM mode" to "Text mode install for ma^nufacturers"
    (LP: #95582).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 14:54:46 +0100

gfxboot-theme-ubuntu (0.3.4) feisty; urgency=low

  * Rename brltty=ask to braille=ask (LP: #91894).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Mar 2007 12:49:11 +0100

gfxboot-theme-ubuntu (0.3.3) feisty; urgency=low

  * Update language names from localechooser 1.37ubuntu1, adding Gujarati
    and Malayalam, removing Icelandic, Irish, Kazakh, Malagasy, Persian,
    Welsh, and Xhosa, and updating localised names for Belarusian and
    Finnish (LP: #93233).
  * Fetch keymaps from /usr/share/console-setup/KeyboardNames.pl rather than
    from a console-setup source tree.
  * Update keymaps from console-setup 1.13ubuntu9, adding Congo, Iraq,
    Korea, Nepal, and Nigeria, and updating several others.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 24 Mar 2007 18:21:28 +0000

gfxboot-theme-ubuntu (0.3.2) feisty; urgency=low

  * Add localisation for "Install with driver ^update CD"
    (https://wiki.ubuntu.com/Ubiquity/DriverUpdates).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Mar 2007 11:56:19 +0000

gfxboot-theme-ubuntu (0.3.1) feisty; urgency=low

  * Make numbers used for selecting accessibility menu items consistent even
    if items are omitted from the menu due to GFXBOOT-ACCESS-OPTIONS; so for
    example with "GFXBOOT-ACCESS-OPTIONS v1 v3", pressing "1" would select
    v1, "2" would do nothing, and "3" would select v3. This allows for
    simpler cross-flavour documentation for visually-impaired users.
  * Add "Braille Terminal" entry to accessibility menu (F5, 4), mapped to
    brltty=ask.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Feb 2007 17:28:20 +0000

gfxboot-theme-ubuntu (0.3.0) feisty; urgency=low

  * Add Swiss French keymap (closes: Malone #67355).
  * Pass any country code found in ll_CC form in the "lang" file through to
    Linux. Make sure to strip off the country internally when required.
  * Prefer exact keymap locale matches to substring matches.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Nov 2006 04:22:53 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gfxboot-theme-ubuntu
 Architecture: amd64 i386
-Depends: gfxboot
+Depends: gfxboot (>= 3.2.23-1)
 Description: Ubuntu theme for gfxboot-compliant boot loaders
  This is an Ubuntu theme for the gfxboot graphical boot loader extension. It
  should be suitable for Ubuntu derivatives as well as Ubuntu itself.

## gfxboot-theme-ubuntu 0.4.4

=== Makefile ===
--- 
+++ 
@@ -69,16 +69,17 @@
 	@cd install && echo $(FILES_CORE) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo
 	@tar -C install -czf install/bootlogo.tar.gz bootlogo $(INST_EXT)
 
+# TODO cjwatson 2007-08-07: this doesn't quite work as it stands at the
+# moment; you need to build the BDF version of unifont and use that.
 font:
 	cat po/*.po >tmp.txt
-	getx11font -v -l 18 -p 2,4 \
+	mkblfont -v -l 18 -p /usr/share/fonts/X11/misc \
 	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
 	`$(KEYMAPCHARS) keytables.inc` \
 	-t tmp.txt \
 	-t install/log -t boot/log \
 	-t langlist -t langnames.inc \
-	-f -gnu-unifont-medium-r-normal--16-160-75-75-c-80-iso10646-1 \
-	--fsize 16,5 \
+	-f unifont:prop=2:space_width=4 \
 	16x16.fnt >16x16.fnt.log
 	rm -f tmp.txt

=== debian/changelog ===
gfxboot-theme-ubuntu (0.4.4) gutsy; urgency=low

  * Add/update translations from Rosetta (LP: #150701).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2007 14:03:13 +0100

gfxboot-theme-ubuntu (0.4.3) gutsy; urgency=low

  * Revert incorrect Maintainer change.
  * Override language names for Arabic, Bengali, Hindi, and Nepali to use
    the English names, as we don't have working Arabic or Indic rendering in
    gfxboot (thanks, Arne Goetje).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Aug 2007 14:38:49 +0100

gfxboot-theme-ubuntu (0.4.2ubuntu1) gutsy; urgency=low

  * Build package for lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 21:10:14 +0000

gfxboot-theme-ubuntu (0.4.2) gutsy; urgency=low

  * Build-depend on gfxboot 3.3.28 too.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 02:28:55 +0100

gfxboot-theme-ubuntu (0.4.1) gutsy; urgency=low

  * Remove unused logo fading code.
  * Update langlist from langnames.inc.
  * Override language names for Gujarati, Khmer, Malayalam, and Tamil to use
    the English names; I don't seem to be able to generate a font containing
    the necessary characters for their localised names at the moment.
  * Update for various interface changes in gfxboot 3.3.28 (LP: #118744).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 02:17:12 +0100

gfxboot-theme-ubuntu (0.4.0) gutsy; urgency=low

  * Use priority=low for d-i expert mode rather than DEBCONF_PRIORITY=low.
  * Update keymaps from console-setup 1.16ubuntu4. Add locale mappings for
    Esperanto and Latvia, tag Lithuania as non-Latin so that the US keymap
    is used for it within gfxboot, and switch France to the oss variant.
  * Add/update translations from Rosetta (LP: #108705).
  * Change "Text mode install for ma^nufacturers" to "^OEM install (for
    manufacturers)", since the OEM install isn't just text mode any more. I
    hope this will still avoid the confusion from bug #95582.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Aug 2007 11:45:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 4), gfxboot
+Build-Depends: debhelper (>= 4), gfxboot (>= 3.3.28)
 Standards-Version: 3.6.2
 
 Package: gfxboot-theme-ubuntu
-Architecture: amd64 i386
-Depends: gfxboot (>= 3.2.23-1)
+Architecture: amd64 i386 lpia
+Depends: gfxboot (>= 3.3.28)
 Description: Ubuntu theme for gfxboot-compliant boot loaders
  This is an Ubuntu theme for the gfxboot graphical boot loader extension. It
  should be suitable for Ubuntu derivatives as well as Ubuntu itself.

## gfxboot-theme-ubuntu 0.5.20

=== debian/changelog ===
gfxboot-theme-ubuntu (0.5.20) hardy; urgency=low

  * Revert to previous console-setup/layoutcode and
    console-setup/variantcode values when booting with a non-Latin keymap.
    This has to be handled by casper instead, otherwise we break the
    alternate install CD (LP: #218754).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Apr 2008 15:28:04 +0100

gfxboot-theme-ubuntu (0.5.19) hardy; urgency=low

  * Rebuild font based on debian-installer 20070308ubuntu39.
  * Filter out Hebrew, since gfxboot has no right-to-left text support
    (LP: #212491).
  * Don't show language menu on startup if a default language is set in the
    "lang" file.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Apr 2008 03:15:50 +0100

gfxboot-theme-ubuntu (0.5.18) hardy; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2008 10:10:11 +0100

gfxboot-theme-ubuntu (0.5.17) hardy; urgency=low

  * Add a header to the language and keymap menus; this seems to make it
    feel like less of an accident when the language menu is displayed
    automatically on startup.
  * Don't display "Press F4 to select alternative start-up and installation
    modes" until the initial language menu has been dismissed (LP: #197260).
  * Update sizes of menu items before adjusting the menu to avoid screen
    width overflow (LP: #44950).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Apr 2008 14:09:10 +0100

gfxboot-theme-ubuntu (0.5.16) hardy; urgency=low

  * Set language using debian-installer/language= rather than locale= if it
    does not need an explicit country specification (LP: #85162).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 06 Apr 2008 13:58:38 +0100

gfxboot-theme-ubuntu (0.5.15) hardy; urgency=low

  * Rebuild font based on debian-installer 20070308ubuntu35.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 12:00:36 +0100

gfxboot-theme-ubuntu (0.5.14) hardy; urgency=low

  * Update translations from Launchpad.
  * Add edd=on option to the "Other Options" menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 10:23:24 +0100

gfxboot-theme-ubuntu (0.5.13) hardy; urgency=low

  * Fix handling of "Free software only" boot option on live CDs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Mar 2008 19:50:24 +0100

gfxboot-theme-ubuntu (0.5.12) hardy; urgency=low

  * Add a "Free software only" boot option (mapping to
    apt-setup/restricted=false apt-setup/multiverse=false).
  * Make "Normal" label in modes menu translatable (LP: #201347).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Mar 2008 10:33:15 +0000

gfxboot-theme-ubuntu (0.5.11) hardy; urgency=low

  * Backport 'split' memory corruption fix from SuSE.
  * Fix menuconfig.init memory corruption; strstr does not work on file
    contents unless they are guaranteed to be zero-terminated by some
    out-of-band means as is done for help texts (LP: #204270).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Mar 2008 22:19:20 +0000

gfxboot-theme-ubuntu (0.5.10) hardy; urgency=low

  * Fix a stack leak in menuitemmap.
  * Remove the unused dia_install.inc and everything associated with it
    (including translated strings). We've been having odd problems with
    gfxboot hanging on Kubuntu CDs, and, while unfortunately we didn't quite
    get to the bottom of them, our best guess is that we're close enough to
    the top of available memory that the rules have changed. Ripping these
    3000 lines of cruft out seems to be more than enough to get things going
    again. Thanks to Kees Cook for several hours of staring at assembly code
    and pointing me in useful directions.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Mar 2008 01:40:15 +0000

gfxboot-theme-ubuntu (0.5.9) hardy; urgency=low

  * Really update for Kurdish default layout change, and shorten Kurdish
    layout description to avoid overflow.
  * No longer consider Japanese a non-Latin keymap; the default variant
    (basic) is Latin.
  * Adjust console-setup/layoutcode and (perhaps) console-setup/variantcode
    when booting with a non-Latin keymap (LP: #200803).
  * Ensure that boot parameters are displayed immediately after pressing F6
    (LP: #198536).
  * Update translations from Launchpad. Among many other things, this
    completes the French translation (LP: #193901).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Mar 2008 01:51:24 +0000

gfxboot-theme-ubuntu (0.5.8) hardy; urgency=low

  * Remove translations for languages not supported by the installer (and
    therefore unused by gfxboot-theme-ubuntu), specifically: af am br csb fa
    fil fur ga is kn la lb mn ms mt nds oc so sr te tlh ur.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Mar 2008 07:33:11 +0000

gfxboot-theme-ubuntu (0.5.7) hardy; urgency=low

  * Display timeout as "%d s" rather than "%ds" (LP: #197214).
  * Add localisation for "Install a Diskless Image Server" (LP: #197539).
  * Update for Kurdish default layout change in console-setup 1.21ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 13:59:38 +0000

gfxboot-theme-ubuntu (0.5.6) hardy; urgency=low

  * Rebuild font with unifont 1:1.0-4ubuntu3 (thanks, Liu Qishuai;
    LP: #62849).
  * Include .po files from debian-installer in corpus used to build reduced
    font (LP: #106074, #195451).
  * Update keymaps from console-setup 1.21ubuntu3, fixing a number of
    Eastern European keymaps (LP: #196045).
  * Update for Vietnamese default layout change in console-setup
    1.21ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Feb 2008 18:34:03 +0000

gfxboot-theme-ubuntu (0.5.5) hardy; urgency=low

  * Fix crash when trying to display context-sensitive help, not that we
    have any at the moment (LP: #195564).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 12:10:04 +0000

gfxboot-theme-ubuntu (0.5.4) hardy; urgency=low

  * Fix crash when pressing an unhandled key followed by F1 when the boot


## gfxboot-theme-ubuntu 0.5.21

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,12 @@
 KEYMAPCHARS  = $(PRIVBINDIR)keymapchars
 BFLAGS       = -O -v -L ../..
 INCLUDES     = $(wildcard *.inc)
-TRANSLATIONS = $(addsuffix .tr,en $(notdir $(basename $(wildcard po/*.po))))
+# Filter out Arabic, Indic languages, and Thai, which we cannot render, and
+# Dzongkha and Mongolian, which ought to be rendered vertically.
+# gfxboot has no bidirectional text support yet
+# (https://bugs.launchpad.net/ubuntu/+source/gfxboot/+bug/212491) so
+# right-to-left languages (Arabic and Hebrew) won't work.
+TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu he hi km ml mn ne pa ta th, $(notdir $(basename $(wildcard po/*.po)))))
 
 DEFAULT_LANG =
 
@@ -69,10 +74,10 @@
 	@cd install && echo $(FILES_CORE) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo
 	@tar -C install -czf install/bootlogo.tar.gz bootlogo $(INST_EXT)
 
-# TODO cjwatson 2007-08-07: this doesn't quite work as it stands at the
-# moment; you need to build the BDF version of unifont and use that.
 font:
+	@if [ -z "$(DI_PATH)" ]; then echo "Please set DI_PATH to an unpacked debian-installer source tree" >&2; exit 1; fi
 	cat po/*.po >tmp.txt
+	cat $(DI_PATH)/build/boot/x86/po/*.po >>tmp.txt
 	mkblfont -v -l 18 -p /usr/share/fonts/X11/misc \
 	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
 	`$(KEYMAPCHARS) keytables.inc` \

=== debian/changelog ===
gfxboot-theme-ubuntu (0.5.21) hardy-proposed; urgency=low

  * Evan tells me that /syslinux/syslinux.cfg is a valid syslinux
    configuration file path too (LP: #234005).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Jun 2008 13:53:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
 Build-Depends: debhelper (>= 4), gfxboot (>= 3.3.28)
 Standards-Version: 3.6.2
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline
 
 Package: gfxboot-theme-ubuntu
 Architecture: amd64 i386 lpia

=== debian/rules ===
#! /usr/bin/make -f

build:
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep

.PHONY: build clean install binary-arch binary-indep binary

## gfxboot-theme-ubuntu 0.6.10

=== debian/changelog ===
gfxboot-theme-ubuntu (0.6.10) intrepid; urgency=low

  * Update translations from Launchpad.
  * Rebuild font based on debian-installer 20080522ubuntu22.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Oct 2008 10:31:20 +0100

gfxboot-theme-ubuntu (0.6.9) intrepid; urgency=low

  * Rebuild font based on debian-installer 20080522ubuntu20.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 19 Oct 2008 21:05:37 +0100

gfxboot-theme-ubuntu (0.6.8) intrepid; urgency=low

  * Add localisation for "^Install Ubuntu Server" (LP: #277036).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Oct 2008 22:21:49 +0100

gfxboot-theme-ubuntu (0.6.7) intrepid; urgency=low

  * Add localisation for "Install a minimal virtual machine".
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Oct 2008 09:12:46 +0100

gfxboot-theme-ubuntu (0.6.6) intrepid; urgency=low

  * Rebuild font with unifont 1:5.1.20080914-1.
  * Update translations from Launchpad.
  * Adjust scrape-console-setup for kbd and regenerate keymaps. One
    noticeable effect of this is that we now need to use the loadkeys -u
    option, which means that a number of Unicode keysyms not currently
    supported in gfxboot that were previously mapped to completely different
    and incorrect keysyms will now generate no output. I think this is an
    improvement, but please file a bug if any characters that you need to
    type in the boot loader disappear as a result.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Sep 2008 12:12:55 +0100

gfxboot-theme-ubuntu (0.6.5) intrepid; urgency=low

  * Add localisation for "Install a minimal system".

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2008 14:12:49 +0100

gfxboot-theme-ubuntu (0.6.4) intrepid; urgency=low

  * If the selected keymap is the default for the selected locale rather
    than explicitly chosen, then preseed console-setup/* in such a way as to
    not set the seen flag (LP: #64058).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Jul 2008 17:00:29 +0100

gfxboot-theme-ubuntu (0.6.3) intrepid; urgency=low

  * Update language names from localechooser 2.03ubuntu1, adding Amharic and
    Marathi, adjusting the default locale for Esperanto, and fixing the
    localised name for Hungarian (LP: #233229).
  * Update keymaps from console-setup 1.25ubuntu1. Drop the braille keymap,
    which is not very useful here; stop excluding the cs keymap since it no
    longer exists (replaced by rs, which is fine).
  * Remove progress bar. It generally takes very little time so is just
    another UI flicker, and removing it avoids some UI (LP: #45664) and
    translation (LP: #221550) cans of worms.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jun 2008 16:11:23 +0100

gfxboot-theme-ubuntu (0.6.2) intrepid; urgency=low

  * Hide menu items that use MENU GOTO or MENU EXIT.
  * Hide menu items that use CONFIG (e.g. the help menu item).
  * Fix crash when the last menu item in the list is hidden.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jun 2008 14:59:04 +0100

gfxboot-theme-ubuntu (0.6.1) intrepid; urgency=low

  * Remove support for deprecated gfxboot-foreground, gfxboot-background,
    and gfxboot-access-options keywords in isolinux.cfg.
  * Implement include keyword in isolinux.cfg.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jun 2008 13:24:36 +0100

gfxboot-theme-ubuntu (0.6.0) intrepid; urgency=low

  * Evan tells me that /syslinux/syslinux.cfg is a valid syslinux
    configuration file path too (LP: #234005).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Jun 2008 13:47:18 +0100

## gfxboot-theme-ubuntu 0.7.6

=== debian/changelog ===
gfxboot-theme-ubuntu (0.7.6) jaunty; urgency=low

  * Sync with console-setup 1.28ubuntu8: treat the Kazakhstan layout (kz) as
    non-Latin (LP: #356816).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Apr 2009 14:03:27 +0100

gfxboot-theme-ubuntu (0.7.5) jaunty; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:06:38 +0100

gfxboot-theme-ubuntu (0.7.4) jaunty; urgency=low

  * Update translations from Launchpad.
  * Add localisation for "^Try Ubuntu MID without any change to your
    computer", "^Try Ubuntu Netbook Remix without any change to your
    computer", "^Install Ubuntu Studio", "^Install Ubuntu MID", and
    "^Install Ubuntu Netbook Remix" (LP: #354364).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Apr 2009 10:29:53 +0100

gfxboot-theme-ubuntu (0.7.3) jaunty; urgency=low

  * Update translations from Launchpad (LP: #349647).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 16:25:13 +0000

gfxboot-theme-ubuntu (0.7.2) jaunty; urgency=low

  * Add options from the F6 "Other Options" menu after the per-menu-entry
    options rather than before (LP: #295949).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Mar 2009 02:15:30 +0000

gfxboot-theme-ubuntu (0.7.1) jaunty; urgency=low

  * Change "Use driver update CD" to "Use driver update disc" and "Check CD
    for defects" to "Check disc for defects", to allow for DVDs
    (LP: #14722).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Feb 2009 13:59:36 +0100

gfxboot-theme-ubuntu (0.7.0) jaunty; urgency=low

  * Pop up "Other options" menu after pressing F6 just once, rather than
    requiring two presses (LP: #294840).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Nov 2008 14:13:22 +0000

gfxboot-theme-ubuntu (0.6.11) jaunty; urgency=low

  * Add localisation for "Dell Automatic Reinstall" (LP: #296476)
  * Add localisation for "Install Mythbuntu"
  * Add localisation for "Try Mythbuntu without any changes to your computer"

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 10 Nov 2008 16:35:42 -0600

## gfxboot-theme-ubuntu 0.8.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ifneq ($(BINDIR),)
 BINDIR      := $(BINDIR)/
 else
-BINDIR      := $(dir $(firstword $(wildcard /usr/bin/mkbootmsg) $(wildcard ../../mkbootmsg)))
+BINDIR      := $(dir $(firstword $(wildcard /usr/bin/gfxboot-compile) $(wildcard /usr/bin/mkbootmsg) $(wildcard ../../gfxboot-compile) $(wildcard ../../mkbootmsg)))
 endif
 ifneq ($(PRIVBINDIR),)
 PRIVBINDIR  := $(PRIVBINDIR)/
@@ -9,7 +9,11 @@
 PRIVBINDIR  := $(dir $(firstword $(wildcard /usr/share/gfxboot/bin/keymapchars) $(wildcard ../../keymapchars)))
 endif
 
+ifneq (,$(wildcard $(BINDIR)gfxboot-compile))
+MKBOOTMSG    = $(BINDIR)gfxboot-compile
+else
 MKBOOTMSG    = $(BINDIR)mkbootmsg
+endif
 KEYMAPCHARS  = $(PRIVBINDIR)keymapchars
 BFLAGS       = -O -v -L ../..
 INCLUDES     = $(wildcard *.inc)

=== debian/changelog ===
gfxboot-theme-ubuntu (0.8.9) karmic; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Oct 2009 12:36:50 +0000

gfxboot-theme-ubuntu (0.8.8) karmic; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Oct 2009 09:57:50 +0100

gfxboot-theme-ubuntu (0.8.7) karmic; urgency=low

  * Add "nodmraid" as an option on the F6 menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 21:02:07 +0100

gfxboot-theme-ubuntu (0.8.6) karmic; urgency=low

  * Build-depend on cpio.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Oct 2009 17:43:20 +0100

gfxboot-theme-ubuntu (0.8.5) karmic; urgency=low

  * Sync with console-setup 1.34ubuntu4: add Asturian, Catalan, Senegal, and
    Turkmenistan layouts.
  * Remove doubled parentheses in description of "Turkey (F)" layout.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 23:10:41 +0100

gfxboot-theme-ubuntu (0.8.4) karmic; urgency=low

  * Use gfxboot-compile instead of mkbootmsg if it's present, in order to
    work with newer gfxboot. Based on a patch from Daniel Baumann, for which
    thanks.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Sep 2009 11:46:14 +0100

gfxboot-theme-ubuntu (0.8.3) karmic; urgency=low

  * Add localisation for "Install Ubuntu ^Enterprise Cloud".

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Aug 2009 11:22:28 +0100

gfxboot-theme-ubuntu (0.8.2) karmic; urgency=low

  * Upgrade to debhelper v7.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Aug 2009 10:22:30 +0100

gfxboot-theme-ubuntu (0.8.1) karmic; urgency=low

  * Make menu columns variable-width, to make it easier to fit more
    languages and keymaps onto the screen.
  * Update langlist from langnames.inc, forgotten in 0.8.0 (LP: #311699).
  * Sort Norwegian Bokmål and Norwegian Nynorsk next to each other, as if
    their language code were 'no' (LP: #40144).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Jun 2009 21:49:41 +0100

gfxboot-theme-ubuntu (0.8.0) karmic; urgency=low

  * Update language names from localechooser 2.11ubuntu1, adding Asturian,
    Welsh, Irish, Kazakh, and Serbian, removing Estonian, and updating the
    localised name for Basque.
  * Install po/bootloader.pot in binary package (LP: #360087).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 May 2009 10:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 4), gfxboot (>= 3.3.28)
+Build-Depends: debhelper (>= 7.0.0), gfxboot (>= 3.3.28), cpio
 Standards-Version: 3.6.2
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline
 
 Package: gfxboot-theme-ubuntu
 Architecture: amd64 i386 lpia
-Depends: gfxboot (>= 3.3.28)
+Depends: ${misc:Depends}, gfxboot (>= 3.3.28)
 Description: Ubuntu theme for gfxboot-compliant boot loaders
  This is an Ubuntu theme for the gfxboot graphical boot loader extension. It
  should be suitable for Ubuntu derivatives as well as Ubuntu itself.

## gfxboot-theme-ubuntu 0.9.9

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,10 @@
 # Dzongkha and Mongolian, which ought to be rendered vertically.
 # gfxboot has no bidirectional text support yet
 # (https://bugs.launchpad.net/ubuntu/+source/gfxboot/+bug/212491) so
-# right-to-left languages (Arabic and Hebrew) won't work.
-TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu he hi km ml mn ne pa ta th, $(notdir $(basename $(wildcard po/*.po)))))
+# right-to-left languages (Arabic) won't work. This can be worked-around
+# by displaying RTL text in visual format (which works well for Hebrew and should
+# be considered for use in other languages where applicable)
+TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu hi km ml mn ne pa ta th, $(notdir $(basename $(wildcard po/*.po)))))
 
 DEFAULT_LANG =

=== debian/changelog ===
gfxboot-theme-ubuntu (0.9.9) lucid; urgency=low

  * Update translations from Launchpad.
  * If hidden-timeout=2 is set in gfxboot.cfg, then only show access.pcx at
    the bottom of the screen, not the logo as well, to alleviate problems
    caused by aspect ratio distortion.  For awkward internal reasons this
    currently requires a blank.pcx to exist that has the same dimensions as
    splash.pcx but is just a blank screen of the appropriate colour.
  * Update keymaps from console-setup 1.34ubuntu14.
  * Rebuild font based on debian-installer 20081029ubuntu101.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Apr 2010 01:38:37 +0100

gfxboot-theme-ubuntu (0.9.8) lucid; urgency=low

  * Regenerate font, among other things including more Kazakh characters
    (LP: #434406).
  * Update translations from Launchpad.
  * Convert to source format 3.0 (native).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Mar 2010 23:33:41 +0100

gfxboot-theme-ubuntu (0.9.7) lucid; urgency=low

  * Add Estonian to langlist as well (LP: #496734).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 21 Mar 2010 23:09:13 +0000

gfxboot-theme-ubuntu (0.9.6) lucid; urgency=low

  * Add localisation for "^Try Kubuntu Netbook without installing" and
    "^Install Kubuntu Netbook" (LP: #540335).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 19:00:33 +0000

gfxboot-theme-ubuntu (0.9.5) lucid; urgency=low

  * Stop building for lpia, which has been discontinued.
  * Add a "screen-colour" option to gfxboot.cfg (should really be
    "background", but that's already (mis)used).  This sets a flood-fill
    colour for the screen, as well as setting menu.bar.color and xmenu.dark.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Mar 2010 19:00:11 +0000

gfxboot-theme-ubuntu (0.9.4) lucid; urgency=low

  * Before displaying the splash screen, initialise the menu far enough so
    that we can select the correct default boot entry in case the main menu
    is never displayed.
  * Add the "maybe-ubiquity" boot parameter when booting in splash mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Mar 2010 13:10:28 +0000

gfxboot-theme-ubuntu (0.9.3) lucid; urgency=low

  * Update translations from Launchpad (LP: #527052).
  * Change "Ubuntu Netbook Remix" strings to "Ubuntu Netbook" (LP: #518718).
    Adjust translations where I could do so accurately.
  * Remove unused imgsize, showlogo, and readimage functions.
  * If hidden-timeout=1 is set in gfxboot.cfg, then try to display a splash
    window before the main window, displaying the contents of access.pcx at
    the bottom of the screen.  If the timeout expires on this screen, then
    the default menu item will be booted without ever showing the main menu;
    conversely, any key press will show the main menu.  The idea of this is
    to avoid everyone having to see a complicated main menu, while offering
    a visual indication that you need to press a key to get to it
    (LP: #530713).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Mar 2010 23:47:25 +0000

gfxboot-theme-ubuntu (0.9.2) lucid; urgency=low

  * Use fribidi for Hebrew in the language list as well (LP: #212491).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Feb 2010 12:12:36 +0000

gfxboot-theme-ubuntu (0.9.1) lucid; urgency=low

  [ Colin Watson ]
  * Remove "Safe graphics mode" message, which is no longer used.
  * Add nomodeset to "Other options" menu.
  * Update language names from localechooser 2.12ubuntu3, adding Estonian
    (LP: #496734) and using the localised name for Hebrew now that we can.

  [ Shlomi Loubaton ]
  * Added back Hebrew support by using visual text (LP: #212491)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Feb 2010 13:27:08 +0000

gfxboot-theme-ubuntu (0.9.0) lucid; urgency=low

  * Remove "Press F4 to select alternative start-up and installation modes."
    message; it confuses beginners and doesn't help advanced users all that
    much.
  * Change "^Try Ubuntu without any change to your computer" (etc.) messages
    to "^Try Ubuntu without installing" (etc.), by request of the design
    team.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Nov 2009 17:07:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.0), gfxboot (>= 3.3.28), cpio
+Build-Depends: debhelper (>= 7.0.0), gfxboot (>= 3.3.28), cpio, libfribidi0
 Standards-Version: 3.6.2
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gfxboot-theme-ubuntu/mainline
 
 Package: gfxboot-theme-ubuntu
-Architecture: amd64 i386 lpia
+Architecture: amd64 i386
 Depends: ${misc:Depends}, gfxboot (>= 3.3.28)
 Description: Ubuntu theme for gfxboot-compliant boot loaders
  This is an Ubuntu theme for the gfxboot graphical boot loader extension. It

## gfxboot-theme-ubuntu 0.10.2

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 ifdef DEFAULT_LANG
 FILES_INST += lang
 FILES_BOOT += lang
-FILES_BOOT_EN += lang $(DEFAULT_LANG).tr
+FILES_BOOT_EN += lang $(patsubst boot/%,%,$(wildcard boot/$(DEFAULT_LANG).tr))
 endif
 
 .PHONY: all themes font clean po

=== debian/changelog ===
gfxboot-theme-ubuntu (0.10.2) maverick; urgency=low

  * Add localisation for "^Start Kubuntu" (LP: #608746).
  * Don't fail to build if DEFAULT_LANG is set to a language code for which
    there is no .tr file (LP: #585473).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Aug 2010 10:48:39 +0100

gfxboot-theme-ubuntu (0.10.1) maverick; urgency=low

  * Rebuild with newer gfxboot-dev, for gfxboot.c32.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Jul 2010 16:34:40 +0100

gfxboot-theme-ubuntu (0.10.0) maverick; urgency=low

  * The gfxboot com32 module in syslinux parses the configuration file for
    us, but only gives us the human-readable labels.  Convert them back to
    identifiers in that case so that we can translate them more easily.
  * Preserve the original indices of menu items so that we can pass them
    accurately back to the boot loader.  The gfxboot com32 module in
    syslinux requires this.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Jul 2010 14:37:52 +0100
